IRQTOP(1)

NAZWA
irqtop - narzędzie do wyświetlania informacji o przerwaniach jądra

SKŁADNIA

irqtop [opcje]

OPIS

Wyświetla informacje o liczniku przerwań jądra w stylu widoku top(1).

Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwane kolumny za pomocą opcji --output.

OPCJE

-o, --output lista
    Określa, które kolumny wyjściowe wypisać. Opcja --help pokaże listę wszystkich obsługiwanych kolumn. Domyślną listę kolumn można rozszerzyć, podając ją w formacie +lista.

-c, --cpu-stat tryb
    Pokazuje statystyki dla określonego trybu na procesor. Dostępnymi trybami są: auto, enable, disable. Domyślna opcja auto wykrywa szerokość okna, a następnie pokazuje statystyki na procesor, jeśli szerokość okna jest wystarczająca do pokazania pełnego wiersza statystyk.

-C, --cpu-list lista
    Określa procesory do pokazania w postaci listy.

-d, --delay sekundy
    Aktualizuje wyjście przerwań w interwale co sekundy.

-s, --sort kolumna
    Określa kryteria sortowania według nazwy kolumny. Wynik opcji --help pokaże nazwy kolumn. Kryteria sortowania można zmienić w trybie interaktywnym.

-S, --softirq
    Pokazuje informacje o softirq.

-t, --threshold minimum
    Pokazuje tylko przerwania z licznikami powyżej podanego progu. Obsługiwane są wartości czytelne dla człowieka (np. 1.2K).

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

KLAWISZE POLECEŃ W TRYBIE INTERAKTYWNYM

i
    sortuje po polu liczbowym lub krótkiej nazwie przerwania

t
    sortuje po całkowitej liczbie przerwań (domyślnie)

d
    sortuje po przyroście przerwań

n
    sortuje po polu długiej, opisowej nazwy

q Q
    zatrzymuje aktualizowanie i wychodzi z programu

AUTORZY

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie irqtop jest częścią pakietu util-linux, który można pobrać ze strony